=== doc/spec/Makefile ===
all: specification.txt specification.html

%.html: %.xml html.dsl
	jade -V nochunks -t sgml -d html.dsl \
		/usr/lib/sgml/declaration/xml.dcl $< | sed 's/&#13;//' > $@

%.txt: %.html
	w3m -dump $< > $@

clean:
	rm -f *.css *.html *.txt
