=== debian/changelog ===
debconf (0.2.80.17) stable; urgency=low

  * Disabled locales. The issue is that select elements are quite broken
    if used in no-C locales. So broken that any package that uses them with
    debconf will probably get quite confused. This is fixed in woody, but
    the fix was quite a lot of code, so it seems safer just to disable
    them. I modified one line of code.

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Aug 2000 21:37:00 -0700

debconf (0.2.80.16) frozen; urgency=low

  * I don't think this will actually get into frozen, but it fixes my most
    common problem report, and I had to build it anyway for something else,
    so may be worth a shot. Release maanger, feel free to reject.
  * Catch undefined value returned if a package that is not installed is
    preconfigured, and use '' instead. This clears up the undefined value
    warning people have been seeing for months, especially on fresh debian
    installs where a lot of stuff gets preconfigured and you see it about
    20 times. (see bugs #55498, #57792, #62263, #53657) This fix has been
    tested for 2 months in the woody debconf tree, and works.

 -- Joey Hess <joeyh@debian.org>  Fri, 21 Jul 2000 15:01:08 -0700

debconf (0.2.80.15) frozen; urgency=low

  * Fixed a typo that breaks the web frontend. Closes: #64474 
    (severity important)

 -- Joey Hess <joeyh@debian.org>  Sun, 21 May 2000 20:37:35 -0700

debconf (0.2.80.14) frozen; urgency=low

  * Made noninteractive select elements smarter. If the value is set, but
    is set to something not on the list, disregard it and pick the first
    element from the list. This is actually an important bugfix; it's been
    causing problems with apt-setup in base-config, making
    http.us.debian.org be incorrectly picked as the default when users try
    to set up apt to use a country that just has one mirror on file.
  * Closes #60160 (important)

 -- Joey Hess <joeyh@debian.org>  Mon, 13 Mar 2000 13:23:18 -0800

debconf (0.2.80.13) frozen; urgency=low

  * Use fully-qualified path for dpkg-preconfigure in apt.conf, 
    Closes: #58469

 -- Joey Hess <joeyh@debian.org>  Wed,  1 Mar 2000 11:35:07 -0800

debconf (0.2.80.12) frozen; urgency=low

  * When debconf or debconf-tiny is purged, the database is not deleted if
    debconf or debconf-tiny is still installed. Closes: #59029

 -- Joey Hess <joeyh@debian.org>  Mon, 28 Feb 2000 13:19:16 -0800

debconf (0.2.80.11) frozen; urgency=low

  * Catch SIGPIPEs from confmodules and handle them. Closes: #58847, #58818

 -- Joey Hess <joeyh@debian.org>  Thu, 24 Feb 2000 10:32:40 -0800

debconf (0.2.80.10) frozen; urgency=low

  * dpkg-reconfigure: don't run the postrm of the package. Doing so breaks
    things when for example, the package uses dpkg-divert and tries to remove
    diversions in the postrm. This cannot be an isolated problem either. This
    reverses the change made in version 0.2.52, which did not say why I
    added it in the first place.. Closes: #58527 (important bug)

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Feb 2000 20:47:00 -0800

debconf (0.2.80.9) frozen; urgency=low

  * Rebuild to fix 0 length documentation files (I have no idea what caused
    them). Closes: #58493

 -- Joey Hess <joeyh@debian.org>  Sat, 19 Feb 2000 17:55:47 -0800

debconf (0.2.80.8) frozen; urgency=low

  * Fixed bad merge of changes that I thought was done in 0.2.80.6; fixes 2
    important bugs.
  * Fixed minor back problem in debconf's own config script, and some
    documentation fixes.

 -- Joey Hess <joeyh@debian.org>  Thu, 17 Feb 2000 11:52:21 -0800

debconf (0.2.80.7) frozen; urgency=low

  * Important fix: don't accidentially delete Dialog/Text.pm from
    debconf-tiny.

 -- Joey Hess <joeyh@debian.org>  Tue, 15 Feb 2000 13:11:58 -0800

debconf (0.2.80.6) frozen; urgency=low

  * dpkg-preconfigure: It turns out that the trick of reading from stdin
    until EOF, then reading more later only works if stdin is a tty. When it
    was running from apt, that wasn't so, and so it caused dialog to lock up,
    in a tight loop, unable to read keypresses from stdin. The fix is
    pretty simple; just open /dev/tty and connect STDIN to it after reading
    the filelist from apt. Closes: #56518, #57771 (important bugs).
  * Disabled dialog exclusion that was added in the last release.

 -- Joey Hess <joeyh@debian.org>  Mon, 14 Feb 2000 11:43:52 -0800

debconf (0.2.80.5) frozen; urgency=low

  * Fixed dpkg-preconfigure to not use Getopt::Long, so it will work even on
    the base system it is now a part of.
  * As a workaround for the dialog lock problem (which seems to be a dialog
    bug), never use dialog for the text mode menus. Works around: #56518
    (grave), #57771 (important)

 -- Joey Hess <joeyh@debian.org>  Sun, 13 Feb 2000 00:35:47 -0800

debconf (0.2.80.4) frozen; urgency=low

  * Add templates file, config script, postinst, and posrtm to debconf-tiny,
    so debconf/priority actually exists. This is necessary so base-config
    can change the priority if the boot-floppies were installed in verbose or
    quiet mode. This is a critical bugfix, as it fixes a bug that made newly
    installed systems unusable.
  * Added dpkg-preconfigure to debconf-tiny, since this:
    a) lets debconf-tiny use debconf's postinst unchanged
    b) is useful in general to have in debconf-tiny
  * Several k of bloat. Oh well..

 -- Joey Hess <joeyh@debian.org>  Wed,  9 Feb 2000 18:12:24 -0800

debconf (0.2.80.3) frozen; urgency=low

  * dpkg-reconfigure: detect perl confmodules properly, by making my regexp
    match case in-sensitively. This fixes a bug that made dpkg-reconfigure
    not work at all to reconfigure packages that used ConfModule.pm.
    Probably worth putting into frozen, especially as it is a 1 character
    (count 'em!) bugfix.

 -- Joey Hess <joeyh@debian.org>  Tue,  8 Feb 2000 10:35:10 -0800

debconf (0.2.80.2) frozen; urgency=low

  * Installed workaround from Joel Klecker to fix the annoying termcap

