=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.2.1.0
Build-Depends-Indep: debhelper (>= 2.0.49), links, jade, sp, docbook-xml, docbook-stylesheets, sgml-data (>= 1.2)

Package: debconf
Architecture: all
Conflicts: debconf-tiny, apt (<< 0.3.12.1), menu (<= 2.1.3-1), gnome-utils (<< 1.0.13-2), libgtk-perl (<< 0.6123-1), dialog (<< 0.9a-17), whiptail (<< 0.50-1)
Provides: debconf-tiny
Replaces: debconf-tiny
Depends: perl-5.005, fileutils (>= 4.0-5)
Suggests: libterm-readline-gnu-perl, whiptail | dialog | gnome-utils
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. It is
 used by some packages to prompt you for questions before they are installed.

Package: debconf-tiny
Architecture: all
Conflicts: debconf, menu (<= 2.1.3-1), gnome-utils (<< 1.0.13-2), dialog (<< 0.9a-17), whiptail (<< 0.50-1)
Suggests: whiptail
Depends: perl-5.005-base (>= 5.005.03-4.1)
Provides: debconf
Description: Tiny subset of debconf for the base system
 Debconf is a configuration management system for debian packages. It is 
 used by some packages to prompt you for questions before they are installed.
 .
 This is a tiny subset of debconf, with only one frontend, few features. It is
 intended to be used to set up things in the base system that use debconf.
 Unless you are very short on disk space, you should install debconf instead.
