=== debian/changelog ===
debconf (0.9.74) unstable; urgency=low

  * Introducing terse mode. You know what you're doing, and so you're using
    the text frontend (of course!) as you do a remote upgrade from rexx over
    a 30 hop, 95% packet loss link to another continent. Every byte hurts. 
    You don't need all those touchy-feely verbose help screens. Terse mode is
    for you. (Well, for me anyway. Damn this wireless link.)
       # dpkg-reconfigure debconf --terse
       What interface should be used for configuring packages? Text
       Ignore questions with a priority less than.. low
       Show all old questions again and again? no
  * Added DEBCONF_TERSE variable.
  * Added terse support to text frontend.
  * Renamed debconf/helpvisible to debconf/terse.
  * Terse can be configured in debconfrc and with --terse too.
  * Finally tracked down the mysterious text frontend title printing bug --
    it happened if nothing was displayed, but a note was mailed.
  * Updated korean translation from Eungkyu Song <eungkyu@sparcs.org>
    Closes: #103260
  * Added brazillian portuguese po file from Gustavo Noronha Silva
    <kov@debian.org>, Closes: #103253

 -- Joey Hess <joeyh@debian.org>  Tue,  3 Jul 2001 00:22:15 -0400

debconf (0.9.73) unstable; urgency=low

  * Added debconf-show, which displays all questinos belonging to a
    package, their values, and indicates if they have been seen or not, all
    in a compact format handy for bug reports. Now why didn't I think of
    this before?
  * To keep the bit scales balanced, removed an unused template.

 -- Joey Hess <joeyh@debian.org>  Mon, 25 Jun 2001 15:22:15 -0400

debconf (0.9.72) unstable; urgency=low

  * Dropped libterm-stool-perl down to a suggests.

 -- Joey Hess <joeyh@debian.org>  Sun, 24 Jun 2001 21:29:48 -0400

debconf (0.9.71) unstable; urgency=HIGH

  * No changes. Testing has debconf 0.9.41, which breaks under perl 5.6.1.
    5.6.1 just went into testing. This needs to go in ASAP.
  * aj, if you see this, this is your cue to slam this package into testing
    without any delay at all.

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jun 2001 20:16:26 -0400

debconf (0.9.70) unstable; urgency=low

  * Fixed pod2man silly man page header issue. Closes: #101766

 -- Joey Hess <joeyh@debian.org>  Thu, 21 Jun 2001 13:11:16 -0400

debconf (0.9.69) unstable; urgency=low

  * Fix doc link, Closes: #101114 

 -- Joey Hess <joeyh@debian.org>  Sat, 16 Jun 2001 12:37:32 -0400

debconf (0.9.68) unstable; urgency=low

  * Fixed the last known bug in the text frontend, cleaned up TODO.

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jun 2001 20:00:15 -0400

debconf (0.9.67) unstable; urgency=low

  * Let's make the templates cache mode 644. There's nothing sentative in
    there. (Modified the debconf.conf file.)
  * Convert Mode field to octal on the fly to precent confusion.
  * Spell checked debconf.conf.5. Along the way, I discovered that a field
    name in the debconf db was mispelled. So, "Extention" should really be
    "Extension". Update your debconf.conf. Since this is not used in the
    stock config file, and I've never seen it used, I did just rename the
    field, breaking backwards compatability.

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 20:27:52 -0400

debconf (0.9.66) unstable; urgency=low

  * Prevent Editor::Note's from feeding undef values into the db, 
    Closes: #100776

 -- Joey Hess <joeyh@debian.org>  Thu, 14 Jun 2001 12:37:14 -0400

debconf (0.9.65) unstable; urgency=low

  * Fixed unsupported command message to include the syntax error code.
  * Also, include full line in the error message, may make debugging easier.

 -- Joey Hess <joeyh@debian.org>  Wed, 13 Jun 2001 17:41:13 -0400

debconf (0.9.64) unstable; urgency=low

  * Updated the user's guide frontend section.

 -- Joey Hess <joeyh@debian.org>  Mon, 11 Jun 2001 00:04:57 -0400

debconf (0.9.63) unstable; urgency=low

  * Man page section fixes, Closes: #100076
  * Noted in description of shell library that yes, the protocol commands
    are lower-cased (it already explained about the db_ prefixing). 
    Closes: #100276
  * Text frontend UI changes: select and multiselect lists no longer have
    lettered choices. Instead, it uses numbers, and any unique anchored
    substring of a choice is understood, too. The old system was great,
    except when it sucked. This should scale more evenly.
  * Added full completion to the text frontend! Now it really is the best
    frontend, for sure..
  * French po file update from Martin Quinson <Martin.Quinson@ens-lyon.fr>.
  * Fixed an obscure bug that made the REGISTER command fail if the owner
    was set to "" (or any other perlwise-false string).

 -- Joey Hess <joeyh@debian.org>  Wed,  6 Jun 2001 11:53:43 -0400

debconf (0.9.62) unstable; urgency=low

  * Updated Korean translation (templates, not po file) from Eungkyu Song
    <eungkyu@sparcs.kaist.ac.kr>, Closes: #99034

 -- Joey Hess <joeyh@debian.org>  Mon, 28 May 2001 13:35:28 -0400

debconf (0.9.61) unstable; urgency=low

  * Added some space after prompts in text frontend, which seems to
    visually set off each new question more clearly.
  * Made the text frontend's long-broken shutdown() method work, to
    always ensure you have hit enter at a prompt if a message is printed
    out as the last part of a debconf run. After trying that out for a bit,
    I found I hated it, so I removed the method.
  * Put a blank line between short description and long description for
    notes.
  * In template parsing, don't add leading spaces before new paragraphs.
    (This was manifesting as an ugly one-space indent on paragraphs 2 and
    on, in the text frontend.)

 -- Joey Hess <joeyh@debian.org>  Sun, 27 May 2001 20:03:47 -0400

debconf (0.9.60) unstable; urgency=low

  * Make dpkg-preconfigure read all of its input in --apt mode, even if it
    cannot preconfigure, so apt doesn't think it failed. However, this will

