=== debian/changelog ===
debconf (1.0.32) unstable; urgency=low

  * Fixed a bug in the Stack driver's iterator, needed by FAI.
    Thanks to Joerg Lehmann <joerg@luga.de> for the patch.
  * Typo and spelling corrections (did not change verbiage to verbage however;
    I do not intend that connotation). Closes: #131807
  * Added --force to dpkg-reconfigure.
  * Fixed typo in debconf.conf. Closes: #140085

 -- Joey Hess <joeyh@debian.org>  Thu,  7 Mar 2002 21:27:18 -0500

debconf (1.0.31) unstable; urgency=low

  * Versioned conflicts with debconf-tiny, see #137019
  * Corrected some wording in the German translation. Closes: #137005
  * Removed translated default fields in the Russian template (don't do that,
    folks).

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Mar 2002 19:54:40 -0500

debconf (1.0.30) unstable; urgency=low

  * Matthew Palmer <mjp16@ieee.uow.edu.au> contributed a LDAP backend
    database for debconf. This will open up all kinds of new possiilities
    for using debconf in a cluster, etc. It is currently experimental, and
    will not be used unless you enable it; so there is no chance this new
    code will impact the freeze.
  * Wrote debconf-devel(8) man page, which attempts to be a complete
    reference for developing packages that use debconf. Read it.
  * Fixed the doc-base name of the debconf tutorial.
  * Minor change to debconf-mergetemplate man page synopsis.
  * Refuse to use the dialog frontend if the screen is too small,
    it'll fall back to the text frontend which will work on screens
    down to about 2 lines of 20 characters each. Closes: #132972
  * Fixed typo, Closes: #134161
  * Patch from Denis Barbier <barbier@debian.org> to make debconf-getlang
    work better with ll_LL form languages. Closes: #134307
  * Display choices for boolean questions in the editor frontend, 
    Closes: #135078
  * Improved the section in the tutorial on translations. Patch from Denis
    Barbier. Closes: #96836
  * Added a new Russian template from Ilgiz Kalmetev, Closes: #135839

 -- Joey Hess <joeyh@debian.org>  Tue,  5 Feb 2002 20:37:19 -0500

debconf (1.0.26) unstable; urgency=low

  * Removed uninitialized value warning in Teletype frontend.
    Actually, this was a bug that did not let it display only one column on
    choices when necessary; triggered by quake2-data.
  * Incuded a short README.Debian for debconf-utils, Closes: #129541
  * Made the README point to all the main docs for users and developers.
    Closes: #129545
  * Deregister SIGPIPE handler after confmodule finishes, so it is not called
    after the object is gone. Closes: #129463
  * Chomp whitespace at the end of field continuation lines; this fixes a
    bug that caused some indented lines to be accidentially wrapped up to
    the previous line.
  * Stop using funky grave quotes in this package's templates.
  * Updated Spanish template. Closes: #128838
  * Updated Catalan.
  * Added German po file, updated templates.
  * Killed the following overly-outdated translated templates: pl, ru,
    zh_CN, zh_TW, nl, ja, it.
  * fi and gl have one fuzzy translation each, and all the rest are fine.
  * Corrected incorrect indents in a number of translated templates, sigh.
  * debconf(8) tweak, Closes: #130348

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2002 23:30:25 -0500

debconf (1.0.25) unstable; urgency=medium

  * The "bite the bullet" release.
  * Enhanced fix_db.pl to detect and deal with every debconf db corruption
    scenario that has been reported to me. Run it on upgrade from versions
    prior to this one. I suspect that all instances of inconsistent and
    corrupt debconf db's are due to past bugs in debconf and especially the
    transition from the crufty old data::dumper db, and the "fix" for the
    missing template problem, plus possibly some unclean shutdown problems.
    So fix them all now, and either the problems go away for good or I prove
    my theories wrong if they pop back up later. 
  * Closes: #128707, #128265, #99786

 -- Joey Hess <joeyh@debian.org>  Fri, 11 Jan 2002 13:25:06 -0500

debconf (1.0.24) unstable; urgency=low

  * Reverted the $Text::Wrap::break change from the last version, as that was
    making Text::Wrap eliminate multiple \n's, which leads to display
    problems. Closes: #128034

 -- Joey Hess <joeyh@debian.org>  Sun,  6 Jan 2002 14:59:58 -0500

debconf (1.0.23) unstable; urgency=low

  * Delete vanishing extended descriptions when merging templates.
    Closes: #126239
  * Set $Text::Wrap::break=q/\s+/ everywhere I use Text::Wrap,
    see bug #126202
  * zh_TW.Big5.po update

 -- Joey Hess <joeyh@debian.org>  Mon, 17 Dec 2001 17:13:39 -0500

debconf (1.0.22) unstable; urgency=HIGH

  * I've had a number of reports of truncated templates files (that make
    debconf crash later). Some if not all are related to system hangs while
    an upgrade is in progress. Since debconf is already very careful to do
    updates atomically, nearly the only safety feature left is to sync files
    after writing them, which I have now done for all db file writes. My 
    hypothesis is that the atomicity was being thwarted by disk caching.
    Closes: #122891, #112921, #122825, #112921 (??)
  * Directory DbDriver was unlocking the db too early, fixed.
  * ConfModule: on startup(), automatically CLEAR. Closes: #122176
  * Fixed crash if a question is INPUT, UNREGISTERed, and then we GO.
    Closes: #120303
  * Updated fr.po from Martin Quinson <Martin.Quinson@ens-lyon.fr>
  * Also a patch from Martin to make 'make check' in po output stats.

 -- Joey Hess <joeyh@debian.org>  Fri,  7 Dec 2001 11:10:12 -0500

debconf (1.0.21) unstable; urgency=high

  * High urgency upload to get this into testing before the freeze, as it
    fixes a bug that can cripple upgrades from stable.
  * Conflict with whiptail << 0.50.17-7, as some version between that one and
    the 0.50-7 in stable changes something that is required to make the 

