=== debian/control ===
Source: debconf
Section: admin
Priority: optional
Maintainer: Joey Hess <joeyh@debian.org>
Standards-Version: 3.5.6.1
Build-Depends-Indep: perl, debhelper (>= 3.0.5), gettext, html2text (>= 1.2.4-7), jade, sp, docbook-xml, docbook-dsssl, sgml-data (>= 1.2), tidy

Package: debconf
Priority: important
Pre-Depends: perl-base (>= 5.6.1-4)
Conflicts: debconf-utils (<< 0.9), debconf-tiny (<< 1.0), apt (<< 0.3.12.1), menu (<= 2.1.3-1), dialog (<< 0.9a-20000730-1), whiptail (<< 0.50.17-7), cdebconf (<< 0.10-5)
Provides: debconf-tiny
Replaces: debconf-tiny
Depends: fileutils (>= 4.0-5)
Recommends: apt-utils (>= 0.5.1)
Suggests: debconf-doc, debconf-utils, whiptail | dialog | gnome-utils, liblocale-gettext-perl, libterm-readline-gnu-perl, libgnome-perl, libnet-ldap-perl
Architecture: all
Description: Debian configuration management system
 Debconf is a configuration management system for debian packages. Packages
 use Debconf to ask questions when they are installed.

Package: debconf-doc
Conflicts: debconf (<< 0.3.10)
Suggests: debian-policy (>= 3.5)
Section: doc
Architecture: all
Description: Debian configuration management system documentation
 This package contains lots of additional documentation for Debconf,
 including an introduction to Debconf, a user's guide, a programmer's
 tutorial, and the specification Debconf is based on.

Package: debconf-utils
Section: devel
Depends: debconf (>= 0.9.59)
Conflicts: debconf (<< 0.3.31)
Replaces: debconf (<< 0.3.31)
Architecture: all
Description: debconf utilities
 This package contains some small utilities to aid users and developers.
 There are utilities to help manage debconf databases, others to manage
 translated template files and a program to communicate directly with
 debconf from the command line.
